<template>
  <div class="AppSpecialPeople">
    <component
        v-if="refresh"
        :is="component"
        @change="onChange"
        :params="params">
    </component>
  </div>
</template>

<script>
import Detail from './detail'
import Add from './add'

export default {
  name: 'AppSpecialPeople',
  appName: '特殊人群',

  data() {
    return {
      component: 'Detail',
      params: {},
      refresh: true
    }
  },

  components: {Detail, Add},

  methods: {
    onChange(e) {
      this.params = e.params
      this.component = e.type
    },
    onShow() {
      document.title = "特殊人群"
      this.refresh = false
      this.$nextTick(() => {
        this.refresh = true
      })
    }
  },
}
</script>

<style lang="scss" scoped>
uni-page-body {
  height: 100%;
}

.AppSpecialPeople {
  height: 100%;
}
</style>
